/*****************************************************************************
 This file is part of the Changedfiles system. 
 $Id: comm.h,v 1.2 2003/02/03 04:43:00 rocky Exp $

 This product includes software developed by Konrad Rieck.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or (at
 your option) any later version.

 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 USA
******************************************************************************/
/*
  This file contains things that would normally be in libc, but since
  we're running in the kernel are not available.
*/



int64_t chf_comm   (chf_config_t * c, enum request r);

/* 
   Return a string of the next file action that occured or "" if 
   nothing happened since last time. 
*/
int64_t chf_read   (char * action);

/* Add an action string to the end of the queue. */
int64_t chf_put_to_queue(const char * action);

/* Free resources associated with the queue. */
void chf_queue_destroy(void);


